function [b_L,b_L_ind,b_R,b_R_ind]=magnitude(pom_L,pom_R,peak)
%% 2. detekční metoda - vstupem jsou jednotlivé soubory dat pro danou kinematickou proměnnou
% pro levou a pravou končetinu zvlášť, výstupem detekované extrémy pro obě končetiny -
% hodnota + pozic
% pro MINIMUM platí: x(n-1)>x(n)<x(n+1), peak=1
% pro MAXIMUM platí: x(n-1)<x(n)>x(n+1), peak=2
 

    for j=1:size(pom_L,1)             % průběhy levá končetina
        x=pom_L(j,:);  
          switch peak
                case 1    
                      for i=2:length(x)-1;
                         if (x(i)<x(i-1))&&(x(i)<x(i+1))             % MINIMUM, LEVÁ NOHA
                             b_L(j,1)=x(i);
                             b_L_ind(j,1)=i;
                             break;
                         elseif i==99;
                            [a, ind]=min([x(1) x(end)]);
                            b_L(j,1)=a;
                            b_L_ind(j,1)=ind;
                         end                   
                      end
                case 2
                    for i=2:length(x)-1;
                         if (x(i)>x(i-1))&&(x(i)>x(i+1))             % MAXIMUM
                            b_L(j,1)=x(i);
                            b_L_ind(j,1)=i;
                            break;
                         elseif i==99;
                            [a, ind]=max([x(1) x(end)]);
                            b_L(j,1)=a;
                            b_L_ind(j,1)=ind;
                         end
                     end
          end
    end
    
    for j=1:size(pom_R,1)              % průběhy pravá končetina
        x=pom_R(j,:);              
            switch peak
                case 1    
                      for i=2:length(x)-1;
                         if (x(i)<x(i-1))&&(x(i)<x(i+1))             % MINIMUM, PRAVÁ NOHA
                             b_R(j,1)=x(i);
                             b_R_ind(j,1)=i;
                             break;
                         elseif i==99;
                             [a,ind]=min([x(1) x(end)]);
                             b_R(j,1)=a;
                             b_R_ind(j,1)=ind;
                         end
                      end
                case 2
                    for i=2:length(x)-1;
                         if (x(i)>x(i-1))&&(x(i)>x(i+1))             % MAXIMUM
                            b_R(j,1)=x(i);
                            b_R_ind(j,1)=i;
                            break;
                         elseif i==99;
                             [a,ind]=max([x(1) x(end)]);
                             b_R(j,1)=a;
                             b_R_ind(j,1)=ind;
                         end
                     end
            end
    end
    
end
